#include <stdio.h>
#include <stdlib.h>
#include "myList.h"


void Inizializza(Lista * l) {
	*l = NULL;
}


int	ListaVuota (Lista l)
/* Produce il valore vero (1) se la lista passata come parametro è vuota, falso (0) in caso contrario, a Lista viene passato il valore contenuto nella variabile testa di lista. Lista punta pertanto al primo elemento della lista considerata */
{
	if (l == NULL) 
		return 1; 
	else 
		return 0; 
}

void InserisciInTesta(Lista *l, int info){
	Lista p;
	p=malloc(sizeof(Nodo));
	p->info=info;
	p->next=*l;
	*l=p;
}

void InserisciInCoda (Lista   *l,  int info)
{
	Lista Cursore, p;
	
	p = malloc(sizeof(Nodo));
	p->next = NULL; 
	p->info = info; 

	if (ListaVuota (*l))
		*l = p;
	else 
	{	
			Cursore=*l;
			while (Cursore->next != NULL)
				Cursore=Cursore->next;
			Cursore->next= p;
	}
}


int Ricerca (Lista l, int info)
{
	Lista Cursore;

	Cursore=l;
	
	while (Cursore != NULL && Cursore->info != info) 
		 Cursore = Cursore->next;
	 			/* In questa maniera Cursore viene fatto puntare 				all'elemento successivo della lista */
	if (Cursore== NULL) return 0;
			else return 1;
}


void StampaLista(Lista l){
	Lista Cursore;

	Cursore=l;
	while (Cursore!=NULL){
	
		printf("|%d|->",Cursore->info);
		Cursore=Cursore->next;
	}

	printf("NULL\n");

}
